## ros-humble-pal-statistics 2.3.1

=== debian/changelog ===
ros-humble-pal-statistics (2.3.1-1bookworm) bookworm; urgency=high

  * Ensure the value is converted to float before creating the msg
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-pal-statistics (2.3.0-1bookworm) bookworm; urgency=high

  * Remove unused files
  * update qos for ros2
  * Port test
  * Port statistics_registry.py
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-pal-statistics (2.2.4-1bookworm) bookworm; urgency=high

  * Use enabled_.swap instead of std::swap.
    This allows this package to compile on modern g++,
    on Ubuntu 24.04.
  * Contributors: Chris Lalancette

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 15 May 2024 16:00:00 -0000

ros-humble-pal-statistics (2.2.3-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/flaky_macro_asyncPublisher' into 'humble-devel'
    Fix/flaky macro async publisher
    See merge request qa/pal_statistics!36
  * Improve test failure messages
  * Make gtest failure messages more informative in aync tests
    For instance from:
    /home/user/exchange/roses/alum/pal_statistics_ws/src/pal_statistics/pal_statistics/test/gtest_pal_statistics.cpp:580: Failure
    Value of: waitFor( std::bind( stats_published_for, "macro_var1", "clp-failure", "macro_var1_bk", "macro_var2", "&var2_"))
    Actual: false
    Expected: true
    to:
    /home/user/exchange/roses/alum/pal_statistics_ws/src/pal_statistics/pal_statistics/test/gtest_pal_statistics.cpp:673: Failure
    After 300 msValue of: get_variables
    Expected: has 9 elements and there exists some permutation of elements such that:
    - element #0 is equal to "macro_var1", and
    - element #1 is equal to "clp-failure", and
    - element #2 is equal to "macro_var1_bk", and
    - element #3 is equal to "macro_var2", and
    - element #4 is equal to "&var2_", and
    - element #5 is equal to "topic_stats.pal_statistics_node_test/pal_statistics.publish_async_attempts", and
    - element #6 is equal to "topic_stats.pal_statistics_node_test/pal_statistics.publish_async_failures", and
    - element #7 is equal to "topic_stats.pal_statistics_node_test/pal_statistics.publish_buffer_full_errors", and
    - element #8 is equal to "topic_stats.pal_statistics_node_test/pal_statistics.last_async_pub_duration"
    Actual: { "topic_stats.pal_statistics_node_test/pal_statistics.publish_async_attempts", "topic_stats.pal_statistics_node_test/pal_statistics.publish_async_failures", "topic_stats.pal_statistics_node_test/al_statistics.publish_buffer_full_errors", "topic_stats.pal_statistics_node_test/pal_statistics.last_async_pub_duration", "macro_var1", "macro_var1_bk", "macro_var2", "&var2_" }, which has 8 elements
  * Create helpers for better failure messages in async tests
  * Fix time units in messages
  * Fix c++17 already enforced
  * Make tests exit when requested
  * Clean up unused functions
  * macroTest: prevent some flakiness
  * asyncPublisherTest: prevent some flakiness
  * Contributors: Carles Lopez Parera, Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pal-statistics (2.2.2-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pal-statistics (2.2.1-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/flaky_chaos_test' into 'humble-devel'
    Fix flakiness in chaos tests
    See merge request qa/pal_statistics!34
  * Fix flakiness in chaos tests
  * Contributors: Carles Lopez Parera, Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pal-statistics (2.2.0-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/crash_when_start_publish_called_twice_for_same_topic' into 'humble-devel'
    Fix: prevent crash when publisher thread is recreated
    See merge request qa/pal_statistics!33
  * Use make_shared as per CR
  * Test statistics publish thread can be called multiple times
  * Fix: interrupt_thread flag could stay true forever
    This hinders the execution of the publisher thread, making
    it exit prematurely.
    For instance, in case joinPublisherThread() is called when no
    publisher_thread_ is still ready:
    1. startPublishThread()
    1.1. joinPublisherThread()
    1.1.1. interrupt_thread_ set to true
    1.1.2. publisher_thread_ is null, no further actions
    1.2. new thread created for publisherThreadCycle()
    2. In publisherThreadCycle, interrupt_thread_ is true
    2.1. thread finishes
  * Fix use proper event to interrupt the publisher thread
  * Fix: prevent crash when publisher thread is recreated
    publisher thread was destroyed before being joined causing
    the termination of the process
    See: https://en.cppreference.com/w/cpp/thread/thread/%7Ethread
  * Contributors: Carles Lopez Parera, Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Oct 2023 16:00:00 -0000

ros-humble-pal-statistics (2.1.5-1bookworm) bookworm; urgency=high

  * miscellaneous enhancements
  * refactor gtest_pal_statistics to test also lifecycle nodes
  * add support for lifecycle nodes
  * add namespace for StaticCircularBuffer
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 13 Apr 2023 16:00:00 -0000

ros-humble-pal-statistics (2.1.4-1bookworm) bookworm; urgency=high

  * Merge branch 'fix_warns' into 'humble-devel'
    Fix warns
    See merge request qa/pal_statistics!28
  * change types for comparisons
  * reorder variable initialization
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-humble-pal-statistics (2.1.3-1bookworm) bookworm; urgency=high


